Skip to main content
PUT
/
api
/
orgs
/
{id}
/
kpis
/
{kpiId}
/
http-syncs
/
{syncId}
/
secrets
Set KPI HTTP sync secret
curl --request PUT \
  --url https://atollhq.com/api/orgs/{id}/kpis/{kpiId}/http-syncs/{syncId}/secrets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "value": "<string>"
}
'
{
  "secret": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

kpiId
string
required

kpiId identifier

syncId
string
required

syncId identifier

Body

application/json

Secret value entered by a human admin. Never send through agent prompts.

name
string
required

Required secretRef name from the sync config.

value
string<password>
required

Secret value entered by a human admin. Responses return only sanitized metadata.

Response

Successful response

secret
object